//
//  ENLocationManagerRequest.h
//  EverNote
//
//  Created by Zdzislaw Losvik on 19/09/2012.
//  Copyright (c) 2012 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "ENLocationManager.h"

@interface ENLocationManagerRequest : NSObject
{
  id mContext;
  ENLocationResponse mResponse;
  NSTimer *mTimeoutTimer;
}

@property (nonatomic, readonly, assign) id context;

/**
 * Designated initializer
 */
- (id)initWithContext:(id)context response:(ENLocationResponse)response;

/**
 * Is this request still valid?
 */
- (BOOL)isActive;

/**
 * Cancel/invalidate request
 */
- (void)cancel;

/**
 * Complete the request by calling the response callback
 */
- (void)completeWithStatus:(ENLocationManagerStatus)status location:(CLLocation *)location;

@end
