//
//  ENAudioError.h
//  Evernote
//
//  Created by Zdzislaw Losvik on 18/01/2013.
//  Copyright 2013 Evernote Corp. All rights reserved.
//


/**
 * Audio playback & recording
 */
extern NSString * const ENAudioErrorDomain;
enum {
  kAudio_SaveRecordingCalledWhenNotRecordingError = 1,
  kAudio_UnknownOSStatusError,
  kAudio_LowLevelAudioRecordingError,
  kAudio_OutOfMemoryError
};


@interface ENAudioError : NSObject

/**
 * saveRecording called on the audio recorder when not recording.
 */
+ (NSError *) saveRecordingCalledWhenNotRecordingError;


/**
 * Audio recorder: unexpected low-level error result.
 */
+ (NSError *) unknownAudioRecorderErrorForOSStatus: (OSStatus) result;


/**
 * Memory allocation failed.
 */
+ (NSError *) memoryAllocationFailedError: (size_t) size;


/**
 * Low-level audio recording error.
 */
+ (NSError *) lowLevelAudioRecordingError: (NSString *) rawText;


@end

