//
// ENFileWrapper
// Evernote
//
// Created by Ruben Bakker on 1/22/13.
// Copyright (c) 2012 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 * NSFileWrapper subclass.
 * In order to attach file to NSTextView we use NSTextAttachment which is based on NSFileWrapper.
 * Since we are dealing not only with attached files content, but we also need to be able to access
 * the file in the file system, we need to remember the url.
 */
@interface ENFileWrapper : NSFileWrapper {
  NSURL *mURL;
}

/**
 * Convenience file wrapper creator
 */
+ (ENFileWrapper *)fileWrapperWithURL:(NSURL *)url;


@property (nonatomic, readonly) NSURL *url;


@end