//
//  ENHelperIPCServerProtocol.h
//  EvernoteHelper
//
//  Created by Ruben Bakker on 2/11/13.
//

#import <Foundation/Foundation.h>

@protocol ENHelperIPCServerProtocol

/**
 * Update the Evernote Helper's preferences with the given key-value pairs.
 * Only those preferences keys relevant to the Evernote Helper are retained.
 */
- (void)updatePreferences:(NSDictionary *)data;

/**
 * The main app has switched accounts
 */
- (void)loginIDDidChange:(NSString *)loginIDString;


/**
 * Get the version string of the Evernote helper application.
 * @return CFBundleVersion of the helper app.
 */
- (NSString *)helperVersion;


@end
