//
//  ENSelectorView.h
//  EvernoteHelper
//
//  Created by Andrew McGeachie on 5/17/10.
//  Copyright 2010 Evernote. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@protocol ENSelectorViewDelegate <NSObject>
- (void) grabScreenShotForNSRectValue: (NSValue *) value;
- (void) grabWindowForNSPointValue: (NSValue *) value;
@end

@interface ENSelectorView : NSView {
  NSRect mSelectionRect;
  NSImage * mTextBackground;
  NSAttributedString * mText;
  BOOL mDragging;
  NSPoint mOrigin;
  NSObject<ENSelectorViewDelegate> *mDelegate;
}


@property NSRect selectionRect;
@property (retain) NSObject<ENSelectorViewDelegate> *delegate;

@end
