//
//  ENHINote.h
//  EverNote
//
//  Created by Zdzislaw Losvik on 26/03/2013.
//  Copyright (c) 2013 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 * Keys for values returned by propertiesForResourceWithHashId:
 */
#define ENHINoteResourceFileName @"ENHINoteResourceFileName"
#define ENHINoteResourcePath @"ENHINoteResourcePath"

/**
 * Evernote Host Interface for Note
 */
@protocol ENHINote <NSObject>

/**
 * @return Note's title
 */
- (NSString *)title;

/**
 * @return Note's raw HTML content
 */
- (NSString *)noteHTMLFilePath;

/**
 * @return An array of notes that belong to the same group as the current note
 */
- (NSArray *)groupedNotes;

/**
 * @return Description of resource for given resource id (hash)
 */
- (NSDictionary *)propertiesForResourceWithHashId:(NSString *)resourceHashId;

/**
 * Returns the note source (clearly, mail, ios, etc.).
 */
- (NSString *)source;

/**
 * Returns the content class
 */
- (NSString *)contentClass;

/**
 * @return date when the note was last updated
 */
- (NSDate *)updated;

@end
