//
//  ENHIPluginHost.h
//  EverNote
//
//  Created by Zdzislaw Losvik on 03/04/2013.
//  Copyright (c) 2013 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
  ENHIPluginHostLogLevelAll     = 0,
  ENHIPluginHostLogLevelDebug   = 1,
  ENHIPluginHostLogLevelInfo    = 2,
  ENHIPluginHostLogLevelWarn    = 3,
  ENHIPluginHostLogLevelError   = 4,
  ENHIPluginHostLogLevelFatal   = 5,
} ENHIPluginHostLogLevel;

@protocol ENPIPlugin;

/**
 * Evernote Host Interface
 */
@protocol ENHIPluginHost <NSObject>

- (void)logMessage:(NSString *)message
            plugin:(id<ENPIPlugin>)plugin
             level:(ENHIPluginHostLogLevel)level
              file:(const char *)file
              line:(int)line
            object:(id)object
            method:(const char *)method;

@end
