//
//  ENPIPlugin.h
//  EverNote
//
//  Created by Zdzislaw Losvik on 28/03/2013.
//  Copyright (c) 2013 Evernote. All rights reserved.
//

@protocol ENPINoteEditorExtension;
@protocol ENHINoteEditor;
@protocol ENHIPluginHost;


/**
 * Evernote Plug-in Interface
 */
@protocol ENPIPlugin <NSObject>

/**
 * Designated initializer
 */
- (id)initWithHost:(id<ENHIPluginHost>)host;

/**
 * Plugin name.
 */
- (NSString *)name;

/**
 * Handshake method called by host when the plug-in when it gets loaded.
 */
- (void)pluginDidLoad;

/**
 * Create a new note editor extension
 * @param noteEditor The note editor that will be using the plugin
 * @return A note editor extension. Returns nil if there is not plugin for the note editor
 */
- (id<ENPINoteEditorExtension>)noteEditorExtensionForEditor:(id<ENHINoteEditor>)noteEditor;

@end
